export const deviceChangeType = {
  ADD: {key: "ADD", tagType: "primary", desc: "设备登记"},
  CHANGE: {key: "CHANGE", tagType: "warning", desc: "变更归属"},
  DESTROY: {key: "DESTROY", tagType: "danger", desc: "销毁/报废"},
}

export const deviceChangeStatus = {
  DRAFT: {key: "DRAFT", tagType: "warning", desc: "草稿"},
  WAIT_CONFIRM: {key: "WAIT_CONFIRM", tagType: "warning", desc: "待目标部门确认"},
  REJECT_CONFIRM: {key: "REJECT_CONFIRM", tagType: "danger", desc: "目标部门拒绝"},
  FINISH: {key: "FINISH", tagType: "success", desc: "已完成"},
  CANCEL: {key: "CANCEL", tagType: "info", desc: "已取消"},
}

export const deviceStatus = {
  NORMAL: {key: "NORMAL", tagType: "success", desc: "正常"},
  CHANGE: {key: "CHANGE", tagType: "warning", desc: "变更归属中"},
  REPAIR_APPLY: {key: "REPAIR_APPLY", tagType: "warning", desc: "维修申请中"},
  REPAIR: {key: "REPAIR", tagType: "danger", desc: "维修中"},
  // CHECK: {key: "CHECK", tagType: "warning", desc: "等待巡检"},
  DESTROY: {key: "DESTROY", tagType: "danger", desc: "销毁/报废"},
}

export const deviceRepairApplyStatus = {
  WAIT_PROCESS: {key: "WAIT_PROCESS", tagType: "warning", desc: "未受理"},
  PROCESSING: {key: "PROCESSING", tagType: "primary", desc: "部分受理"},
  // REPAIRING: {key: "REPAIRING", tagType: "primary", desc: "维修中"},
  FINISH: {key: "FINISH", tagType: "success", desc: "已完成"},
}

export const deviceRepairApplyDetailStatus = {
  WAIT_DIAGNOSIS: {key: "WAIT_DIAGNOSIS", tagType: "warning", desc: "待受理"},
  // WAIT_REPAIR: {key: "WAIT_REPAIR", tagType: "warning", desc: "待维修"},
  REPAIRING: {key: "REPAIRING", tagType: "primary", desc: "维修中"},
  FINISH: {key: "FINISH", tagType: "success", desc: "已完成"},
}

export const ApprovalFlowEnum = {
  1: {key: 1, tagType: "warning", desc: "草稿"},
  2: {key: 2, tagType: "primary", desc: "待审核"},
  3: {key: 3, tagType: "success", desc: "通过"},
  4: {key: 4, tagType: "danger", desc: "拒绝"},
}

