import axios from "@/utils/requestSpms";

export function getUdiInfos(query) {
  return axios({
    url: "/udi/udirel/filterUdi",
    method: "get",
    params: query
  });
}

export function getMutiUdiInfos(query) {
  return axios({
    url: "/udi/udirel/mutil/download",
    method: "get",
    params: query
  });
}


export function getSmUdiInfos(query) {
  return axios({
    url: "/udi/udirel/filterSmUdi",
    method: "get",
    params: query
  });
}


export function getCertUdis(query) {
  return axios({
    url: "/udi/cert/filterUdi",
    method: "get",
    params: query
  });
}

export function deletetUdiInfos(query) {
  return axios({
    url: "/udi/udirel/deleteById",
    method: "post",
    data: query
  });
}


export function updatetUdiInfos(query) {
  return axios({
    url: "/udi/udirel/update",
    method: "post",
    data: query
  });
}


export function combineUdi(query) {
  return axios({
    url: "/udi/udirel/revleance",
    method: "post",
    data: query
  });
}

export function combineAllUdi(query) {
  return axios({
    url: "/udi/udirel/combineAll",
    method: "get",
    params: query
  });
}


export function modifyRel(query) {
  return axios({
    url: "/udi/udirel/modifyRel",
    method: "post",
    data: query
  });
}

export function addErp(query) {
  return axios({
    url: "/udi/udirel/addErp",
    method: "post",
    data: query
  });
}

export function addAllErp(query) {
  return axios({
    url: "/udi/udirel/addAllErp",
    method: "post",
    data: query
  });
}


export function updateErpProduct(query) {
  return axios({
    url: "/udi/udirel/updateErp",
    method: "get",
    params: query
  });
}

export function uploadSmp(query) {
  return axios({
    url: "/udiwms/smp/udirl/upload",
    method: "post",
    data: query
  });
}

export function disableUdi(query) {
  return axios({
    url: "/udi/udirel/disable",
    method: "post",
    data: query
  });
}

export function thirdSysDetail(query) {
  return axios({
    url: "/udiwms/udirel/thirdSys/detail",
    method: "get",
    params: query
  });
}

export function removeRl(query) {
  return axios({
    url: "/udiwms/udirl/thirdSys/remove",
    method: "get",
    params: query
  });
}

export function removeDiRl(query) {
  return axios({
    url: "/udiwms/udirl/di/remove",
    method: "get",
    params: query
  });
}

export function sysFilter(query) {
  return axios({
    url: "/udiwms/udirel/thirdSys/filter",
    method: "get",
    params: query
  });
}

export function sysFilterOptimize(query) {
  return axios({
    url: "/udiwms/udirel/thirdSys/filterOptimize",
    method: "get",
    params: query
  });
}

export function spcombie(query) {
  return axios({
    url: "/udiwms/udiinfo/spcombie",
    method: "get",
    params: query
  });
}

export function lockStatus(query) {
  return axios({
    url: "/udiwms/udirl/lock/status",
    method: "post",
    data: query
  });
}

export function changeVersion(query) {
  return axios({
    url: "/udi/udirel/changeVersion",
    method: "post",
    data: query
  });
}

export function updateById(query) {
  return axios({
    url: "/udi/udirel/updateById",
    method: "post",
    data: query
  });
}

export function updateDrugProductById(query) {
  return axios({
    url: "/udi/udirel/updateDrugProductById",
    method: "post",
    data: query
  });
}


