import axios from '@/utils/requestSpms'

export function listOrder(query) {
  return axios({
    url: '/purchase/order/list',
    method: 'get',
    params: query
  })
}

export function listOrderDetail(query) {
  return axios({
    url: '/purchase/order/drug/list/detail',
    method: 'get',
    params: query
  })
}

//删除计划表和详情表
export function delOrderDetailAll(data) {
  return request({
    url: "/purchase/order/delOrderDetailAll",
    method: 'post',
    data: data
  })
}


// 删除pur
export function delOrderDetail(id) {
  return axios({
    url: '/purchase/order/detail/' + id,
    method: 'delete'
  })
}

export function dealOrder(data) {
  return axios({
    url: '/purchase/order/dealOrder',
    method: 'post',
    data: data
  })
}

export function auditOrder(data) {
  return axios({
    url: '/purchase/order/auditOrder',
    method: 'post',
    data: data
  })
}
